#include <darwin.h>

String NumeroDaMontagem;  //Armazena o número da montagem enviado pelo aplicativo ou computador

int b;  //Usada para a leitura do botão

void setup() {

  AtivarMotores();
}

void loop() {
  Serial.begin(9600);
  NumeroDaMontagem = "0";
  

    while (NumeroDaMontagem == "0"){

      if(ComputadorEstaRecebendo() == Sim)
        NumeroDaMontagem = ReceberStringDoComputador();

    }

    Serial.end();
    EsperarSegundos(1);
    
    //Ano 1 - Montagem 1 - Semáforo
    if (NumeroDaMontagem == "1"){
      

      LedNaPorta(D3);
      LedNaPorta(D1);
      LedNaPorta(D2);
      
      while (1==1){
        LigarLed(D1);
        EsperarSegundos(5);
        DesligarLed(D1);
        
        LigarLed(D2);
        EsperarSegundos(1);
        DesligarLed(D2);
        
        LigarLed(D3);
        EsperarSegundos(5);
        DesligarLed(D3);
      }
    }

    //Ano 1 - Montagem 2 - Roleta da Matemática
    if (NumeroDaMontagem == "2"){

      while (1==1){
        MotorM1(Frente);
        EsperarSegundos(SortearNumero(1, 10));
        MotorM1(Parar);
        EsperarSegundos(10);
      }
      
    }

    //Ano 1 - Montagem 3 - Lixeira Eletrônica
    if (NumeroDaMontagem == "3"){
      
      ServoNaPorta (D3);
      BotaoNaPorta (D2);

      while (1==1){
        b = LerBotao(D2);
        if (b == 0)
          MoverServo (D3, 0);
        else
          MoverServo (D3, 90);
      }
    }
      
    
    

      
}


     
